Package Details: meshroom-git 2021.1.0.r11.ga781044c-1

Git Clone URL: https://aur.archlinux.org/meshroom-git.git (read-only, click to copy)
Package Base: meshroom-git
Description: Meshroom is a free, open-source 3D Reconstruction Software based on the AliceVision framework.
Upstream URL: http://alicevision.github.io/
Licenses: MPL2
Submitter: bartus
Maintainer: bartus
Last Packager: bartus
Votes: 1
Popularity: 0.002151
First Submitted: 2018-12-09 15:49
Last Updated: 2021-04-23 19:55

Pinned Comments

bartus commented on 2019-04-10 11:42

Please report issues and patches to meshroom-git@github.com

Latest Comments

« First ‹ Previous 1 2

attilaolah commented on 2020-01-27 23:33

For the record, I also tried installing pyside2-git (along with shiboken2-git and python-shiboken2-git) at the same version, current tip of branch 5.14. I still get the same error as @kureta.

It would be neat to fix this forward without having to downgrade Python to 3.7.

attilaolah commented on 2020-01-27 20:04

@bartus can you link to the pyside@branch=5.14 patch that you're referring to in #comment-720397? I tried installing shiboken2-git with branch=5.14 today, which gives me versiono r6715.bc77dd5e-1, whit the commits as seen here: https://codereview.qt-project.org/gitweb?p=pyside%2Fpyside-setup.git;a=shortlog;h=refs%2Fheads%2F5.14

However, I still get the same error with Python3.8. I'm running everything in a Docker container to make sure I'm only pulling in the required deps.

bartus commented on 2019-12-12 07:03

@kureta: Sadly the pyside2/shiboken combo beside being included in [extra] is not supporting python3.8 at the moment (which is quite confusing, in my taste). There's already a patch in pyside@branch=5.14 but it wasn't adopted by arch maintainers by far. If you need messchroom now you can use my sketch for aurutils-timecapsule. Just run mkarchroot-build --date=2019/11/14 in clone of meshroom-git and you will end up in archroot pined at date when python3.7 was available and meshroom works fine. Than build/install it makepkg -isr and you should have a working meshroom. To preserve the chroot make a archive of /tmp/root. To reenter the chroot run mkarchroot-build again.

kureta commented on 2019-12-11 14:36

Not working.

Problem importing shibokensupport: name '_boostrap_external' is not defined

bartus commented on 2019-04-10 11:42

Please report issues and patches to meshroom-git@github.com

hrehfeld commented on 2019-02-26 20:16

nothing really seems to work:

  • missing a desktop file

$ /usr/bin/Meshroom Plugins loaded: CameraCalibration, CameraInit, CameraLocalization, CameraRigCalibration, CameraRigLocalization, ConvertSfMFormat, DepthMap, DepthMapFilter, ExportAnimatedCamera, ExportMaya, FeatureExtraction, FeatureMatching, ImageMatching, ImageMatchingMultiSfM, KeyframeSelection, MeshDecimate, MeshDenoising, MeshFiltering, MeshResampling, Meshing, PrepareDenseScene, Publish, SfMAlignment, SfMTransform, StructureFromMotion, Texturing WARNING:root:== The following plugins could not be loaded == * simpleFarmSubmitter: No module named 'simpleFarm'

Traceback (most recent call last): File "/usr/lib/python3.7/site-packages/cx_Freeze/initscripts/startup.py", line 14, in run module.run() File "/tmp/makepkg/meshroom-git/src/meshroom/setupInitScriptUnix.py", line 39, in run File "meshroom/ui/main.py", line 10, in <module> File "/tmp/makepkg/meshroom-git/src/meshroom/meshroom/ui/app.py", line 12, in <module> File "/tmp/makepkg/meshroom-git/src/meshroom/meshroom/ui/components/scene3D.py", line 8, in <module> File "/tmp/makepkg/meshroom-git/src/meshroom/meshroom/ui/utils.py", line 6, in <module> ImportError: cannot import name 'shiboken2' from 'PySide2' (/usr/lib/Meshroom-2018.1.0/lib/PySide2/init.pyc)

hrehfeld commented on 2019-02-26 20:00

(1/1) checking for file conflicts [#####################################################################] 100% error: failed to commit transaction (conflicting files) meshroom-git: /usr/bin/Meshroom exists in filesystem (owned by meshroom-bin) meshroom-git: /usr/bin/meshroom_photogrammetry exists in filesystem (owned by meshroom-bin) Errors occurred, no packages were upgraded.